Subject: Re: [PATCH] ipv4: Flush per-ns routing cache more sanely.

From: Daniel Lezcano <[email-masked]>
Date: Fri, 29 Oct 2010 23:41:40 +0200

On 10/26/2010 09:30 PM, Eric Dumazet wrote:
> Le mardi 26 octobre 2010 à 12:20 -0700, David Miller a écrit :
>    
>> From: [email-masked] (Eric W. Biederman)
>> Date: Tue, 26 Oct 2010 12:05:39 -0700
>>
>>      
>>>> @@ -999,7 +999,7 @@ static int fib_netdev_event(struct notifier_block *this, unsigned long event, vo
>>>>   		rt_cache_flush(dev_net(dev), 0);
>>>>   		break;
>>>>   	case NETDEV_UNREGISTER_BATCH:
>>>> -		rt_cache_flush_batch();
>>>> +		rt_cache_flush_batch(dev_net(dev));
>>>>          
>>> It still has this incorrect conversion in it.
>>>        
>> Sorry I missed that, what's the exact problem with it?
>>      
> Because the way _BATCH operation is performed, we call it once...
>
> rollback_registered_many() calls it for the first dev queued in the
> list.
>
> So it should be net independant.
>    

Dave,

do you plan to send another version of this patch ? Or can I test it as 
it is ?
Without removing a network device, I can check the routine, no ?

Thanks
   -- Daniel